Bug 1008764 - SELinux is preventing /usr/lib64/libreoffice/program/soffice.bin from 'write' accesses on the sock_file cups.sock.
SELinux is preventing /usr/lib64/libreoffice/program/soffice.bin from 'write'...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:97430f4ef25c5ba8383d8ba4b7a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 23:34 EDT by Vladimir Netanyahu
Modified: 2013-09-18 11:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 08:43:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Netanyahu 2013-09-16 23:34:18 EDT
Description of problem:
SELinux is preventing /usr/lib64/libreoffice/program/soffice.bin from 'write' accesses on the sock_file cups.sock.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that soffice.bin should be allowed write access on the cups.sock sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep soffice.bin /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:cupsd_var_run_t:s0
Target Objects                cups.sock [ sock_file ]
Source                        soffice.bin
Source Path                   /usr/lib64/libreoffice/program/soffice.bin
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           libreoffice-core-4.1.1.2-4.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.3.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.11-200.fc19.x86_64 #1 SMP Mon
                              Sep 9 13:03:01 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-09-17 11:32:33 CST
Last Seen                     2013-09-17 11:32:33 CST
Local ID                      23227050-4c33-44ca-942e-ee88c2f72519

Raw Audit Messages
type=AVC msg=audit(1379388753.651:1340): avc:  denied  { write } for  pid=23876 comm="soffice.bin" name="cups.sock" dev="tmpfs" ino=16501 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cupsd_var_run_t:s0 tclass=sock_file


type=AVC msg=audit(1379388753.651:1340): avc:  denied  { connectto } for  pid=23876 comm="soffice.bin" path="/run/cups/cups.sock" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tclass=unix_stream_socket


type=SYSCALL msg=audit(1379388753.651:1340): arch=x86_64 syscall=connect success=yes exit=0 a0=46 a1=7f4b9401b188 a2=1a a3=7f4b9a649bf8 items=0 ppid=23832 pid=23876 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=soffice.bin exe=/usr/lib64/libreoffice/program/soffice.bin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: soffice.bin,mozilla_plugin_t,cupsd_var_run_t,sock_file,write

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.10.11-200.fc19.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2013-09-18 08:43:28 EDT
To fix this problem use
# setsebool -P unconfined_mozilla_plugin_transition 0
Comment 2 Daniel Walsh 2013-09-18 11:01:38 EDT
You could leave the protection enabled by removing the mozplugger package which will run ooffice in separate windows.

Note You need to log in before you can comment on or make changes to this bug.